/**
 * @license
 * Copyright 2023 Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { ICustomElementFoundation } from '@tylertech/forge-core';
import { IChipSetAdapter } from './chip-set-adapter';
import { ChipType } from '../chip/chip-constants';
export interface IChipSetFoundation extends ICustomElementFoundation {
    vertical: boolean;
    type: ChipType;
    dense: boolean;
    disabled: boolean;
}
export declare class ChipSetFoundation implements IChipSetFoundation {
    private _adapter;
    private _vertical;
    private _type;
    private _dense;
    private _disabled;
    private _focusPreviousListener;
    private _focusNextListener;
    constructor(_adapter: IChipSetAdapter);
    initialize(): void;
    destroy(): void;
    private _applyVertical;
    private _applyType;
    private _applyDense;
    private _applyDisabled;
    get vertical(): boolean;
    set vertical(value: boolean);
    get type(): ChipType;
    set type(value: ChipType);
    get dense(): boolean;
    set dense(value: boolean);
    get disabled(): boolean;
    set disabled(value: boolean);
}
